Subject: Re: [spring] Thoughts and concerns

From: "Bertrand Duvivier (bduvivie)" <[email-masked]>
Date: Fri, 29 Nov 2019 10:07:09 +0000

SRING WG chairs and members,

If this is not an IETF Business (like suggested by Andrew Alton), I do suggest this irrelevant threat to be abandon/drop from the IETF SPING mailing list.

BRGDS Bertrand

[spring] Thoughts and concerns

Andrew Alston <[email-masked]> Thu, 28 November 2019 15:26 UTCShow header<https://mailarchive.ietf.org/arch/msg/spring/WEMigLTseVvQ2Ke_GdycuI7sHKk>

Hi Guys,

I have some questions - I ran across a document which has me deeply concerned - that purports to be written by the authors of SRH and makes direct reference to this working group.  And since the claims in it are deeply worrying - I think its time to ask for some answers. I fully realize that well - what people publish outside of the IETF is probably no business of the IETF - but, a document that claims to be published by the authors of a draft - that makes false claims about the working groups very charter - that - concerns me.

The document itself can be found at: https://www.segment-routing.net/images/20191029-02-Update-on-SRv6-standardization-activities.pdf

Now - here is my issue

Firstly - the second bullet point in that document runs *DIRECTLY* contrary to what is stated in the spring charter - to quote the charter:

The Source Packet Routing in NetworkinG (SPRING) Working Group is the home of Segment Routing (SR) using MPLS (SR-MPLS) and IPv6 (SRv6).

SPRING WG serves as a forum to discuss SPRING networks operations, define new applications of, and specify extensions of Segment Routing

technologies.

The forth bullet point is really interesting - because I have yet to see a last-call for this document on the mailing list - unless I missed it - which is explicitly required as per RFC2418 Section 3.2

I am not going to bother with the rest of the document - because well - people are free to their own technical opinions - but it greatly bothers me when the authors of a draft are publishing what are in effect blatant untruths in order to promote their work - and I believe it should bother everyone in this working group when such appears.

Thanks

Andrew

---

From: Kireeti Kompella <[email-masked]>
Date: Fri, 29 Nov 2019 10:06:47 -0800

Bertrand,

It’s naive (and perhaps self-serving on Cisco’s part) to call this thread irrelevant and to try to shut it down.  I applaud Andrew for bringing this to the WG’s and the IETF’s attention.  I feel (personal opinion) this is something that SPRINGers should know and evaluate for themselves.  

But you do have a point: perhaps someone should let the Powers That Be at the IETF know, not just the SPRING WG.  I await a Routing AD, the IETF Chair, marketing or Legal Counsel to say whether this is relevant and how (if at all) the IETF should respond.

Kireeti

> On Nov 29, 2019, at 02:07, Bertrand Duvivier (bduvivie) <[email-masked]> wrote:
> 
> 
> Andrew Alston <[email-masked]> Thu, 28 November 2019 15:26 UTCShow header
> 
> Hi Guys,
>  
>  
> _______________________________________________
> spring mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spring

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 29 Nov 2019 19:00:50 -0500

I would add another aspect to Kireeeti's comments.  Part of the strong 
push in the WG has been that there is a lot of deployments.  While there 
are many reasons to question that, it is particularly disturbing if 
those deployments were based on deliberate mis-representations of the 
IETF process and status.

Yours,
Joel

On 11/29/2019 1:06 PM, Kireeti Kompella wrote:
> Bertrand,
> 
> It’s naive (and perhaps self-serving on Cisco’s part) to call this 
> thread irrelevant and to try to shut it down.  I applaud Andrew for 
> bringing this to the WG’s and the IETF’s attention.  I feel (personal 
> opinion) this is something that SPRINGers should know and evaluate for 
> themselves.
> 
> But you do have a point: perhaps someone should let the Powers That Be 
> at the IETF know, not just the SPRING WG.  I await a Routing AD, the 
> IETF Chair, marketing or Legal Counsel to say whether this is relevant 
> and how (if at all) the IETF should respond.
> 
> Kireeti
> 
>> If this is not an IETF Business (like suggested by Andrew Alton), I do 
>> suggest this irrelevant threat to be abandon/drop from the IETF SPING 
>> mailing list.
>>
>> BRGDS Bertrand
>>
>>
>> Andrew Alston <[email-masked]>Thu, 28 November 2019 
>> 15:26 UTCShow header 
>> <https://mailarchive.ietf.org/arch/msg/spring/WEMigLTseVvQ2Ke_GdycuI7sHKk>
>>
>> Hi Guys,
>> I have some questions - I ran across a document which has me deeply 
>> concerned - that purports to be written by the authors of SRH and 
>> makes direct reference to this working group.  And since the claims in 
>> it are deeply worrying - I think its time to ask for some answers. I 
>> fully realize that well - what people publish outside of the IETF is 
>> probably no business of the IETF - but, a document that claims to be 
>> published by the authors of a draft - that makes false claims about 
>> the working groups very charter - that - concerns me.
>> The document itself can be found at: 
>> https://www.segment-routing.net/images/20191029-02-Update-on-SRv6-standardization-activities.pdf
>> Now - here is my issue
>> Firstly - the second bullet point in that document runs *DIRECTLY* 
>> contrary to what is stated in the spring charter - to quote the charter:
>> The Source Packet Routing in NetworkinG (SPRING) Working Group is the 
>> home of Segment Routing (SR) using MPLS (SR-MPLS) and IPv6 (SRv6).
>> SPRING WG serves as a forum to discuss SPRING networks operations, 
>> define new applications of, and specify extensions of Segment Routing
>> technologies.
>> The forth bullet point is really interesting - because I have yet to 
>> see a last-call for this document on the mailing list - unless I 
>> missed it - which is explicitly required as per RFC2418 Section 3.2
>> I am not going to bother with the rest of the document - because well 
>> - people are free to their own technical opinions - but it greatly 
>> bothers me when the authors of a draft are publishing what are in 
>> effect blatant untruths in order to promote their work - and I believe 
>> it should bother everyone in this working group when such appears.
>> Thanks
>> Andrew
>>

---

From: Kireeti Kompella <[email-masked]>
Date: Fri, 29 Nov 2019 18:03:52 -0800

Excellent point, Joel!

Kireeti

> On Nov 29, 2019, at 16:01, Joel M. Halpern <[email-masked]> wrote:
> 
> I would add another aspect to Kireeeti's comments.  Part of the strong push in the WG has been that there is a lot of deployments.  While there are many reasons to question that, it is particularly disturbing if those deployments were based on deliberate mis-representations of the IETF process and status.
> 
> Yours,
> Joel
> 
>>> Andrew Alston <[email-masked]>Thu, 28 November 2019 15:26 UTCShow header <https://mailarchive.ietf.org/arch/msg/spring/WEMigLTseVvQ2Ke_GdycuI7sHKk>
>>> 
>>> Hi Guys,